diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index dbb2293..9ffe1a8 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -19448,7 +19448,8 @@ ElementaryRischDE(R, F): Exports == Implementation where
 
     rischDEalg(n, nfp, f, g, k, l, x, limint, extint) ==
       symbolIfCan(kx := ksec(k, l, x)) case SE =>
-        (u := palgRDE(nfp, f, g, kx, k, normal0(n, #1, #2, #3))) case "failed"
+        (u := palgRDE(nfp, f, g, kx, k, 
+          (z1,z2,z3) +-> normal0(n, z1, z2, z3))) case "failed"
              => [0, 0, false]
         [u::F, g, true]
       has?(operator kx, ALGOP) =>
@@ -19514,12 +19515,12 @@ ElementaryRischDE(R, F): Exports == Implementation where
       ans1 :=
         is?(k, "log"::SE) =>
           rischDElog(twr, newf, newg, x, k,
-                       differentiate(#1, differentiate(#1, x),
+            z1 +-> differentiate(z1,(z2:F):F +-> differentiate(z2, x),
                              differentiate(k::F, x)::UP),
                                             limitedint, extendedint)
         is?(k, "exp"::SE) =>
           rischDEexp(twr, newf, newg, x, k,
-                     differentiate(#1, differentiate(#1, x),
+            z1 +-> differentiate(z1, (z2:F):F +-> differentiate(z2, x),
                       monomial(differentiate(first argument k, x), 1)),
                                                 limitedint, extendedint)
       ans1 case "failed" => [0, 0, false]
@@ -19560,7 +19561,7 @@ ElementaryRischDE(R, F): Exports == Implementation where
       t' := differentiate(t::F, x)
       zero? bb =>
         (u := cc exquo aa) case "failed" => "failed"
-        primintfldpoly(u::UP, extint(#1, t'), t')
+        primintfldpoly(u::UP, z1 +-> extint(z1, t'), t')
       n := degree(cc)::Z - (db := degree(bb)::Z)
       if ((da := degree(aa)::Z) = db) and (da > 0) then
         lk0 := tower(f0 :=
@@ -19590,7 +19591,8 @@ ElementaryRischDE(R, F): Exports == Implementation where
       w := v.eq
       zero?(w.b) =>
         degree(w.c) > w.m => "failed"
-        (u := primintfldpoly(w.c, extint(#1,t'), t')) case "failed" => "failed"
+        (u := primintfldpoly(w.c, z1+->extint(1,t'), t')) 
+           case "failed" => "failed"
         degree(u::UP) > w.m => "failed"
         w.alpha * u::UP + w.beta
       (u := logdegrad(twr, retract(w.b), w.c, w.m, x, t, limint, extint))
@@ -19602,7 +19604,7 @@ ElementaryRischDE(R, F): Exports == Implementation where
       zero? b =>
         (u := c exquo (a::GP)) case "failed" => "failed"
         expintfldpoly(u::GP,
-                   rischDE(#1, first argument t, #2, x, limint, extint))
+           (z1,z2) +-> rischDE(z1, first argument t, z2, x, limint, extint))
       lb := boundAt0(twr, - coefficient(b, 0) / coefficient(a, 0),
                      nb := order b, nc := order c, x, t, limint)
       tm := monomial(1, (m := max(0, max(-nb, lb - nc)))::N)$UP
@@ -19616,7 +19618,8 @@ ElementaryRischDE(R, F): Exports == Implementation where
       zero? cc => 0
       zero? bb =>
         (u := cc exquo aa) case "failed" => "failed"
-        exppolyint(u::UP, rischDE(#1, first argument t, #2, x, limint, extint))
+        exppolyint(u::UP, 
+          (z1,z2) +-> rischDE(z1, first argument t, z2, x, limint, extint))
       n := boundInf(twr,-leadingCoefficient(bb) / (leadingCoefficient aa),
                  degree(aa)::Z, degree(bb)::Z, degree(cc)::Z, x, t, limint)
       (v := polyRDE(aa, bb, cc, n, driv)) case ans =>
@@ -19626,7 +19629,7 @@ ElementaryRischDE(R, F): Exports == Implementation where
       zero?(w.b) =>
         degree(w.c) > w.m => "failed"
         (u := exppolyint(w.c,
-                  rischDE(#1, first argument t, #2, x, limint, extint)))
+          (z1,z2) +-> rischDE(z1, first argument t, z2, x, limint, extint)))
                          case "failed" => "failed"
         w.alpha * u::UP + w.beta
       (u := expdegrad(twr, retract(w.b), w.c, w.m, x, t, limint, extint))
@@ -19672,7 +19675,7 @@ ElementaryRischDE(R, F): Exports == Implementation where
       (if0 := limitedint(f0, [first argument u for u in lk1]))
                        case "failed" => error "Risch's theorem violated"
       (alpha := validExponential(lk0, RRF2F(if0::RRF), x)) case F =>
-        (u1 := primintfldpoly(inv(alpha::F) * c, extint(#1, t'), t'))
+        (u1 := primintfldpoly(inv(alpha::F) * c, z1+->extint(z1, t'), t'))
                                                case "failed" => "failed"
         degree(u1::UP)::Z > n => "failed"
         alpha::F * u1::UP
@@ -19708,7 +19711,7 @@ ElementaryRischDE(R, F): Exports == Implementation where
         zero?(al.fracPart) and monomial?(al.polyPart) and
          (degree(al.polyPart) >= 0) =>
           (u1 := expintfldpoly(c::GP * recip(al.polyPart)::GP,
-                  rischDE(#1, first argument t, #2, x, limint, extint)))
+            (z1,z2) +-> rischDE(z1, first argument t, z2, x, limint, extint)))
                                                case "failed" => "failed"
           degree(u1::GP) > n => "failed"
           retractIfCan(al.polyPart * u1::GP)@Union(UP, "failed")
diff --git a/changelog b/changelog
index eb155f3..ffe83fa 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090517 tpd src/axiom-website/patches.html 20090517.03.tpd.patch
+20090517 tpd books/bookvol10.4 RDEEF +-> conversion
 20090517 tpd src/axiom-website/patches.html 20090517.02.tpd.patch
 20090517 tpd books/bookvol10.3 RULE +-> conversino
 20090517 tpd src/axiom-website/patches.html 20090517.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c2ef562..60abaa0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1332,5 +1332,7 @@ bookvol10.4 INTEF +-> conversion<br/>
 bookvol10.4 EFSTRUC +-> conversion<br/>
 <a href="patches/20090517.02.tpd.patch">20090517.02.tpd.patch</a>
 bookvol10.3 RULE +-> conversion<br/>
+<a href="patches/20090517.03.tpd.patch">20090517.03.tpd.patch</a>
+bookvol10.4 RDEEF +-> conversion<br/>
  </body>
 </html>
